ReferenceMe
The signed-in user, CSRF token and capabilities
GET
/v1/meQuery Parameters
optional?boolean
With true, a request without a session cookie gets data null (200) instead of a 401, for pages that work signed out. An expired session is still a 401 (and clears the cookie).
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/me"{ "data": { "teams": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "slug": "string", "name": "string", "status": "active", "maxClassification": "string", "role": "owner" } ], "user": { "revision": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "email": "string", "displayName": "string", "platformRole": "none", "status": "active", "createdAt": "2019-08-24T14:15:22Z", "lastLoginAt": "2019-08-24T14:15:22Z", "teamCount": 0 }, "csrfToken": "string", "capabilities": { "platformAdmin": true, "platformAuditor": true, "evaluations": true } }}